<?php

namespace EventPortal\Domain\User\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;
use EventPortal\Domain\User\Models\User;
use Illuminate\Support\Str;

class CreateUser
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $payload->addToInput(['password_token' => Str::uuid()]);

        $user = User::create($payload->getInput());

        $payload->replaceModel($user);

        return $next($payload);
    }
}
