<?php

namespace EventPortal\Domain\Util\Modal;

class FormModal extends Modal
{
    public static function make(): self
    {
        return new self('form');
    }

    public function get(): array
    {
        $this->resolve();

        return [
            'type' => $this->type,
            'formData' => $this->content,
            'clientButtons' => $this->buttons ?: [],
        ];
    }
}
